aboutsummaryrefslogtreecommitdiff
path: root/contrib/byacc/package/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/byacc/package/debian/postinst')
-rw-r--r--contrib/byacc/package/debian/postinst15
1 files changed, 15 insertions, 0 deletions
diff --git a/contrib/byacc/package/debian/postinst b/contrib/byacc/package/debian/postinst
new file mode 100644
index 000000000000..ca6276de7ae7
--- /dev/null
+++ b/contrib/byacc/package/debian/postinst
@@ -0,0 +1,15 @@
+#! /bin/sh
+# postinst script for byacc
+
+set -e
+
+if [ $1 != "upgrade" ] ; then
+ update-alternatives \
+ --install /usr/bin/yacc yacc /usr/bin/byacc 80 \
+ --slave /usr/share/man/man1/yacc.1.gz yaccman \
+ /usr/share/man/man1/byacc.1.gz
+fi
+
+#DEBHELPER#
+
+exit 0